com.thinkaurelius.titan.diskstorage

## Interface Entry

- All Superinterfaces:
    Comparable<StaticBuffer>, MetaAnnotated, StaticBuffer
  All Known Implementing Classes:
    StaticArrayEntry

      public interface Entry
      extends StaticBuffer, MetaAnnotated

  An entry is the primitive persistence unit used in the graph database storage backend.

  An entry consists of a column and value both of which are general `ByteBuffer`s. The value may be null but the column may not.
  Author:
    Matthias Bröcheler (me@matthiasb.com);

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.diskstorage.StaticBuffer

      `StaticBuffer.Factory<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.StaticBuffer

      `ARRAY_FACTORY, BB_FACTORY, STATIC_FACTORY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RelationCache` | `getCache()` Returns the cached parsed representation of this Entry if it exists, else NULL
    `StaticBuffer` | `getColumn()`
    `<T> T` | `getColumnAs(StaticBuffer.Factory<T> factory)`
    `StaticBuffer` | `getValue()`
    `<T> T` | `getValueAs(StaticBuffer.Factory<T> factory)`
    `int` | `getValuePosition()`
    `boolean` | `hasValue()`
    `void` | `setCache(RelationCache cache)` Sets the cached parsed representation of this Entry.

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.StaticBuffer

      `as, asByteBuffer, asReadBuffer, getBoolean, getByte, getBytes, getChar, getChars, getDouble, getDoubles, getFloat, getFloats, getInt, getInts, getLong, getLongs, getShort, getShorts, length, subrange, subrange`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.MetaAnnotated

      `getMetaData, hasMetaData`

- - ### Method Detail

    - #### getValuePosition

          int getValuePosition()

    - #### hasValue

          boolean hasValue()

    - #### getColumn

          StaticBuffer getColumn()

    - #### getColumnAs

          <T> T getColumnAs(StaticBuffer.Factory<T> factory)

    - #### getValue

          StaticBuffer getValue()

    - #### getValueAs

          <T> T getValueAs(StaticBuffer.Factory<T> factory)

    - #### getCache

          RelationCache getCache()

      Returns the cached parsed representation of this Entry if it exists, else NULL
      Returns:

    - #### setCache

          void setCache(RelationCache cache)

      Sets the cached parsed representation of this Entry. This method does not synchronize, so a previously set representation would simply be overwritten.
      Parameters:
        `cache` -

Copyright © 2012–2014. All rights reserved.